#ifndef STEXTEDIT_H
#define STEXTEDIT_H

#include <QPlainTextEdit>
//#include <QLineEdit>

class STextEdit : public QPlainTextEdit
//class STextEdit : public QLineEdit
{
    Q_OBJECT
public:
    explicit STextEdit(QWidget *parent = nullptr);
    virtual ~STextEdit();

    virtual void keyPressEvent(QKeyEvent *e) override;
    virtual void keyReleaseEvent(QKeyEvent *e) override;

    virtual void mousePressEvent(QMouseEvent *e) override;
    virtual void mouseMoveEvent(QMouseEvent *e) override;
    virtual void mouseReleaseEvent(QMouseEvent *e) override;

    virtual void inputMethodEvent(QInputMethodEvent *) override;

signals:

};

#endif // STEXTEDIT_H
